Mir

CI Failure in DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/{6,2}

Bug #1563210 reported by Andreas Pokorny on 2016-03-29
18
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Mir
Fix Released
High
Chris Halse Rogers
mir (Ubuntu)
Undecided
Unassigned

Bug Description

CI failure in a probably unrelated MP:
https://code.launchpad.net/~andreas-pokorny/mir/add-dispatchable-alarm-factory/+merge/289959

yields:
[ RUN ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/6
[2016-03-26 00:50:05.808817] mirserver: Starting
[2016-03-26 00:50:05.811735] mirserver: Selected driver: dummy (version 0.22.0)
[2016-03-26 00:50:05.845235] mirserver: Using software cursor
[2016-03-26 00:50:05.851602] mirserver: Initial display configuration:
[2016-03-26 00:50:05.851890] mirserver: 1.1: VGA 0.0" 0x0mm
[2016-03-26 00:50:05.852087] mirserver: Current mode 4x3 10.00Hz
[2016-03-26 00:50:05.852268] mirserver: Preferred mode 4x3 10.00Hz
[2016-03-26 00:50:05.852421] mirserver: Logical position +0+0
[2016-03-26 00:50:05.852580] mirserver: 1.2: unused VGA
[2016-03-26 00:50:05.852771] mirserver: 1.3: VGA 0.0" 0x0mm
[2016-03-26 00:50:05.852910] mirserver: Disabled
[2016-03-26 00:50:05.878901] mirserver: Selected input driver: mir:stub-input (version: 0.22.0)
[2016-03-26 00:50:05.880647] mirserver: Mir version 0.22.0
[2016-03-26 00:50:06.397448] mirserver: New display configuration:
[2016-03-26 00:50:06.397858] mirserver: 1.1: VGA 0.0" 0x0mm
[2016-03-26 00:50:06.398060] mirserver: Current mode 4x3 10.00Hz
[2016-03-26 00:50:06.398241] mirserver: Preferred mode 4x3 10.00Hz
[2016-03-26 00:50:06.398428] mirserver: Logical position +0+0
/��BUILDDIR��/mir-0.22.0+xenial639bzr3415/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
Value of: mir_output_get_current_pixel_format(output)
Expected: is equal to 7
Actual: 5 (of type MirPixelFormat)
/��BUILDDIR��/mir-0.22.0+xenial639bzr3415/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
Value of: mir_output_get_current_pixel_format(output)
Expected: is equal to 7
Actual: 5 (of type MirPixelFormat)
/��BUILDDIR��/mir-0.22.0+xenial639bzr3415/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
Value of: mir_output_get_current_pixel_format(output)
Expected: is equal to 7
Actual: 5 (of type MirPixelFormat)
[2016-03-26 00:50:06.965243] mirserver: Stopping
[ FAILED ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/6, where GetParam() = 7 (1194 ms)

Related branches

Daniel van Vugt (vanvugt) wrote :

Hmm, Actual: 5 again, but expected was different...

08:24:37 9: /��BUILDDIR��/mir-0.23.0+vivid1083bzr3496/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
08:24:37 9: Value of: mir_output_get_current_pixel_format(output)
08:24:37 9: Expected: is equal to 2
08:24:37 9: Actual: 5 (of type MirPixelFormat)
08:24:37 9: /��BUILDDIR��/mir-0.23.0+vivid1083bzr3496/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
08:24:37 9: Value of: mir_output_get_current_pixel_format(output)
08:24:37 9: Expected: is equal to 2
08:24:37 9: Actual: 5 (of type MirPixelFormat)
08:24:37 9: /��BUILDDIR��/mir-0.23.0+vivid1083bzr3496/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
08:24:37 9: Value of: mir_output_get_current_pixel_format(output)
08:24:37 9: Expected: is equal to 2
08:24:37 9: Actual: 5 (of type MirPixelFormat)
08:24:37 9: [2016-05-11 08:24:37.206727] mirserver: Stopping
08:24:37 9: [ FAILED ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/1, where GetParam() = 2 (1073 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/1055/consoleFull

summary: CI Failure in
- DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/6
+ DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/{6,2}
Daniel van Vugt (vanvugt) wrote :

Again today...

05:10:19 [ RUN ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/2
05:10:19 [2016-06-01 05:10:11.497972] mirserver: Starting
05:10:19 [2016-06-01 05:10:11.501604] mirserver: Selected driver: dummy (version 0.23.0)
05:10:19 [2016-06-01 05:10:11.525614] mirserver: Initial display configuration:
05:10:19 [2016-06-01 05:10:11.527111] mirserver: 1.1: VGA 0.0" 0x0mm
05:10:19 [2016-06-01 05:10:11.527373] mirserver: Current mode 4x3 10.00Hz
05:10:19 [2016-06-01 05:10:11.527627] mirserver: Preferred mode 4x3 10.00Hz
05:10:19 [2016-06-01 05:10:11.527900] mirserver: Logical position +0+0
05:10:19 [2016-06-01 05:10:11.528109] mirserver: 1.2: unused VGA
05:10:19 [2016-06-01 05:10:11.529236] mirserver: 1.3: VGA 0.0" 0x0mm
05:10:19 [2016-06-01 05:10:11.529594] mirserver: Disabled
05:10:19 [2016-06-01 05:10:11.532600] mirserver: Using software cursor
05:10:19 [2016-06-01 05:10:11.551551] mirserver: Selected input driver: mir:stub-input (version: 0.23.0)
05:10:19 [2016-06-01 05:10:11.553306] mirserver: Mir version 0.23.0
05:10:19 [2016-06-01 05:10:12.053795] mirserver: New display configuration:
05:10:19 [2016-06-01 05:10:12.058402] mirserver: 1.1: VGA 0.0" 0x0mm
05:10:19 [2016-06-01 05:10:12.150962] mirserver: Current mode 4x3 10.00Hz
05:10:19 [2016-06-01 05:10:12.151313] mirserver: Preferred mode 4x3 10.00Hz
05:10:19 [2016-06-01 05:10:12.151522] mirserver: Logical position +0+0
05:10:19 /��BUILDDIR��/mir-0.23.0+vivid1207bzr3526/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
05:10:19 Value of: mir_output_get_current_pixel_format(output)
05:10:19 Expected: is equal to 3
05:10:19 Actual: 5 (of type MirPixelFormat)
05:10:19 /��BUILDDIR��/mir-0.23.0+vivid1207bzr3526/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
05:10:19 Value of: mir_output_get_current_pixel_format(output)
05:10:19 Expected: is equal to 3
05:10:19 Actual: 5 (of type MirPixelFormat)
05:10:19 /��BUILDDIR��/mir-0.23.0+vivid1207bzr3526/tests/acceptance-tests/test_new_display_configuration.cpp:389: Failure
05:10:19 Value of: mir_output_get_current_pixel_format(output)
05:10:19 Expected: is equal to 3
05:10:19 Actual: 5 (of type MirPixelFormat)
05:10:19 [2016-06-01 05:10:12.467767] mirserver: Stopping
05:10:19 [ FAILED ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/2, where GetParam() = 3 (994 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=clang,platform=mesa,release=vivid+overlay/1178/consoleFull

Daniel van Vugt (vanvugt) wrote :

Again today. First time in a long time:

03:38:39 11: [ RUN ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/1
...
03:38:40 11: /��BUILDDIR��/mir-0.24.0+xenial1889bzr3649/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
03:38:40 11: Value of: mir_output_get_current_pixel_format(output)
03:38:40 11: Expected: is equal to 2
03:38:40 11: Actual: 5 (of type MirPixelFormat)
03:38:40 11: /��BUILDDIR��/mir-0.24.0+xenial1889bzr3649/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
03:38:40 11: Value of: mir_output_get_current_pixel_format(output)
03:38:40 11: Expected: is equal to 2
03:38:40 11: Actual: 5 (of type MirPixelFormat)
03:38:40 11: /��BUILDDIR��/mir-0.24.0+xenial1889bzr3649/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
03:38:40 11: Value of: mir_output_get_current_pixel_format(output)
03:38:40 11: Expected: is equal to 2
03:38:40 11: Actual: 5 (of type MirPixelFormat)
03:38:40 11: [2016-08-19 03:38:40.330197] mirserver: Stopping
03:38:40 11: [ FAILED ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/1, where GetParam() = 2 (724 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/1868/consoleFull

Changed in mir:
importance: Undecided → Medium
status: Confirmed → Triaged
Alan Griffiths (alan-griffiths) wrote :

Still with us:

16:06:55 13: /��BUILDDIR��/mir-0.24.0+xenial1922bzr3661/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
16:06:55 13: Value of: mir_output_get_current_pixel_format(output)
16:06:55 13: Expected: is equal to 9
16:06:55 13: Actual: 5 (of type MirPixelFormat)
16:06:55 13: /��BUILDDIR��/mir-0.24.0+xenial1922bzr3661/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
16:06:55 13: Value of: mir_output_get_current_pixel_format(output)
16:06:55 13: Expected: is equal to 9
16:06:55 13: Actual: 5 (of type MirPixelFormat)
16:06:55 13: /��BUILDDIR��/mir-0.24.0+xenial1922bzr3661/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
16:06:55 13: Value of: mir_output_get_current_pixel_format(output)
16:06:55 13: Expected: is equal to 9
16:06:55 13: Actual: 5 (of type MirPixelFormat)
16:06:56 13: [2016-08-22 16:06:56.042398] mirserver: Stopping
16:06:56 13: [ FAILED ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/8, where GetParam() = 9 (650 ms)
https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=xenial+overlay/1896/consoleFull

Daniel van Vugt (vanvugt) wrote :

And again today:

10:06:44 13: /��BUILDDIR��/mir-0.25.0+yakkety1961bzr3657/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
10:06:44 13: Value of: mir_output_get_current_pixel_format(output)
10:06:44 13: Expected: is equal to 4
10:06:44 13: Actual: 5 (of type MirPixelFormat)
10:06:44 13: /��BUILDDIR��/mir-0.25.0+yakkety1961bzr3657/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
10:06:44 13: Value of: mir_output_get_current_pixel_format(output)
10:06:44 13: Expected: is equal to 4
10:06:44 13: Actual: 5 (of type MirPixelFormat)
10:06:44 13: /��BUILDDIR��/mir-0.25.0+yakkety1961bzr3657/tests/acceptance-tests/test_new_display_configuration.cpp:390: Failure
10:06:44 13: Value of: mir_output_get_current_pixel_format(output)
10:06:44 13: Expected: is equal to 4
10:06:44 13: Actual: 5 (of type MirPixelFormat)
10:06:44 13: [2016-08-25 10:06:44.394537] mirserver: Stopping
10:06:44 13: [ FAILED ] DisplayConfiguration/DisplayFormatSetting.can_get_all_output_format/3, where GetParam() = 4 (652 ms)

https://mir-jenkins.ubuntu.com/job/build-2-binpkg-mir/arch=amd64,compiler=gcc,platform=mesa,release=yakkety/1934/consoleFull

Changed in mir:
importance: Medium → High
Daniel van Vugt (vanvugt) wrote :

Weird that we should be getting format 5 so much. That's mir_pixel_format_bgr_888 which real devices don't actually support. So I'm guessing this is a bug in the test setup.

Chris Halse Rogers (raof) wrote :

Oooh! I see - FakeDisplay::wait_for_configuration_change_handler() only waits for the MediatingDisplayChanger to queue the display change on the mainloop, and mainloop action is where the configuration change *actually* propagates to what SessionMediator will see on ::connect().

Changed in mir:
assignee: nobody → Chris Halse Rogers (raof)
status: Triaged → In Progress
Changed in mir:
milestone: none → 0.25.0
Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.25.0

Changed in mir:
status: In Progress → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (5.7 KiB)

This bug was fixed in the package mir - 0.25.0+17.04.20161203-0ubuntu1

---------------
mir (0.25.0+17.04.20161203-0ubuntu1) zesty; urgency=medium

  * New upstream release 0.25.0 (https://launchpad.net/mir/+milestone/0.25.0)
    - ABI summary:
      . mirclient ABI unchanged at 9
      . mirserver ABI bumped to 42
      . mircommon ABI bumped to 7
      . mirplatform ABI bumped to 14
      . mirprotobuf ABI unchanged at 3
      . mirplatformgraphics ABI bumped to 11
      . mirclientplatform ABI unchanged at 5
      . mirinputplatform ABI bumped to 6
      . mircore ABI added, at version 1
    - Enhancements:
      . Added pointer confinement support
      . Identify Raspberry Pi output types correctly
      . Added dead key and compose key support
      . Added gamma support for KMS hardware
      . Added yakkety and zesty gcc-6 support
      . Added surface passthrough support for fullscreen clients of nested
        servers
      . Introduced a new library `libmircore'
      . Began migrating from Protobuf to Cap'n Proto starting with events
      . Began support for VirtualBox (servers now start instead of crashing
        but full support for GL clients is still missing)
      . Began support for high precision frame timing, implemented for the
        KMS, Android and X11 backends so far
      . Added --display-report support for the X11 backend
      . Improved reliability of `mirvanity' latency test tool
      . Moved to using the CSS cursor naming scheme internally, although
        the old symbolic indentifiers remain unchanged and still work
      . Added refresh rate to MirSurfaceOutputEvent
      . Many improvements to automated test quality and coverage
      . Smoother desktop zoom using mir_proving_server (Super + two fingers)
    - Bugs fixed:
      . FTBFS On Zesty: invalid use of
        'struct native_handle' (LP: #1638774)
      . libmirclient-debug-extension-dev install debug/surface.h
        twice (LP: #1639153)
      . Mir crashes on virtual box drmModeCrtcSetGamma
        Function not implemented (LP: #1638220)
      . Flickering in mir_demo_client_multistream (LP: #1635273)
      . Camera apps (camera & vanity) never exit (LP: #1635010)
      . Clients cannot connect when MIR_SOCKET="" (LP: #1634508)
      . mirtest-dev packaging fails to sepcify boost depends (LP: #1633537)
      . cursor.h is unclear about mir_diagonal_resize_* (LP: #1626924)
      . Inconsistent underscores in cursor names (LP: #1632617)
      . [regression] Accidental libmircommon.so.6 break (LP: #1617865)
      . [regression] mir demo server fails to start with mx4 (LP: #1615703)
      . [regression] Trust prompt now shown when starting camera (LP: #1612256)
      . [regression] make abi-check fails to build (LP: #1626866)
      . Nested servers prevent overlays or fullscreen bypass (LP: #1262116)
      . Failed to get PRIME fd from gbm bo (LP: #1607812)
      . Mir-on-X is difficult to use on 1366x768 laptop (LP: #1590959)
      . Remove useless message 'Surface 0 DPI' in demos (LP: #1559831)
      . Mir fails to cross-build with newer sbuild (LP: #1628507)
      . Infinite loop in AbstractShell::focus_next_session (LP: #1625401)
      . Dest...

Read more...

Changed in mir (Ubuntu):
status: New → Fix Released
Changed in mir:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Bug attachments